package com.fos.modules.tableOrder.dao;

import com.fos.core.base.CurdDao;
import com.fos.modules.tableOrder.bean.TableOrderCodeBean;
import com.fos.modules.tableOrder.bean.TableOrderFoodBean;
import com.fos.modules.tableOrder.entity.TableOrderFoodEntity;
import com.fos.modules.tableOrder.entity.TimeTableEntity;

import java.util.List;

/**
 * Created by Tony on 7/30/2016.
 */
public interface TableOrderFoodDao extends CurdDao<TableOrderFoodEntity> {

    //查询当前订单下的全部菜品
    public List<TableOrderFoodEntity> getTableOrderFood(TableOrderCodeBean bean);

    //修改菜品当前状态
    public void changeOrderFoodStatus(TableOrderFoodBean bean);

    //修改所有菜品当前状态
    public void changeAllOrderFoodStatus(TableOrderCodeBean bean);

    //修改当前订单状态
    public void changeOrderStatus(TableOrderCodeBean bean);

    //获取延迟时间段
    public List<TimeTableEntity> getTimeTable();
}
